Jump to content
  • 0
FriarBuck

STEP uses an outdated verion of MO

Question

While following the STEP guide to the letter, users will notice that STEP links to: https://www.nexusmods.com/skyrim/mods/1334

 

In the description of the mod, the author clearly states this version is no longer supported. What's more, this version of MO is unable to connect to the Nexus to handle nxm links. Is it OK to use MO2 and follow the rest of the STEP guide?

Share this post


Link to post
Share on other sites

11 answers to this question

Recommended Posts

  • 0

You can download Mod Organizer 1 Legacy from here. It is updated for the nexus changes. MO2 is entirely a new program and has removed some of the things that may be needed for the STEP guide.

Share this post


Link to post
Share on other sites
  • 0

You can download Mod Organizer 1 Legacy from here. It is updated for the nexus changes. MO2 is entirely a new program and has removed some of the things that may be needed for the STEP guide.

Not entirely true, GSD. I just reinstalled 2.10.0 using MO2, and apart from not being able to turn off the dummy plugins, it still works well. Had zero problems shifting it over. 

 

As to the link in 2.10.0 to MO1 - keep in mind that the guide was written some time ago, and that STEP 3.0 will undoubtedly use MO2 as it's base of operations (assuming they don't do something completely different, of course...)

Share this post


Link to post
Share on other sites
  • 0

i'm trying to use MO2 as well, but when i get to the part that says the following, i'm stuck:

Merge Plugin Standalone must be setup for MO use Merge Plugins
Start Merge Plugin Standalone through MO and then click [OK].
Select the Settings (gear icon).
Go to the Integrations tab.
Tick the "I'm using Mod Organizer" checkbox.
Set the "mod manager path" to MO's installation folder.
Click [OK]Close Merge Plugins Standalone.

When i get to where it asks me to set the mod manager path, no matter what i put in, the "Okay" button stays greyed out. How do i go about fixing this, so i can use MO2, instead of MO1?

Share this post


Link to post
Share on other sites
  • 0

i'm trying to use MO2 as well, but when i get to the part that says the following, i'm stuck:

Merge Plugin Standalone must be setup for MO use Merge Plugins
Start Merge Plugin Standalone through MO and then click [OK].
Select the Settings (gear icon).
Go to the Integrations tab.
Tick the "I'm using Mod Organizer" checkbox.
Set the "mod manager path" to MO's installation folder.
Click [OK]Close Merge Plugins Standalone.
When i get to where it asks me to set the mod manager path, no matter what i put in, the "Okay" button stays greyed out. How do i go about fixing this, so i can use MO2, instead of MO1?
STEP doesn't use Merged Plugins or Mator Smash. However, I know Merged Plugins will only work with MO2 in portable mode.

Share this post


Link to post
Share on other sites
  • 0

Actually, I think I use MO2 in Instance mode, and have had no problems with merges Tech. Is there an easy way to tell which mode you are using?

Share this post


Link to post
Share on other sites
  • 0

If your profiles are in e.g. C:\ModOrganizer\Profiles and your mods are in C:\ModOrganizer\mods, you are in portable mode. I think if you click the first button at the top left and you see "This will restart MO, continue?" you are in portable mode. Otherwise your stuff is stored in C:\Users\\AppData\Local\Modorganizer and clicking that button brings up a list of instances.

Share this post


Link to post
Share on other sites
  • 0

In which case, I am definitely in instance mode, and have zero problems with making merges.

That's interesting because I think it was mator himself that told me it didn't work. Perhaps the MO team fixed whatever issue it was having.

Share this post


Link to post
Share on other sites
  • 0

Not sure why it would be a problem - the only thing I can't do is have the Merge Plugins automatically identify the MO location... and that's not needed to make the merges work. I end up moving all the merge data to my MO file structure by hand, but it's hardly a problem since it also allows me to verify file creation dates before moving them over.

Share this post


Link to post
Share on other sites
  • 0

I know Mator has stated a few times on discord that it requires portable mode so I never tried it in instance mode either. If this is the only issue, I wonder if Mod Organizer's "Create Files in Mod instead of Overwrite" may work around this issue? Perhaps not if Merge Plugins isn't writing to the Mod Organizer folder structure at all unless it's pointing to the Skyrim data folder and MO's usvfs takes over.

Share this post


Link to post
Share on other sites
  • 0

IN my install, the merges are placed in a subfolder of my Merge Plugins install folder. I simply delete the old install of my merges (if there is one) and move it over manually. I wonder if Mator's comments were meant to imply that it wouldn't work automagically in Instance Mode? It's not writing to either the mod folder or to the Overwrite, but I consider that a small issue compared to the gains. 

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use.